# std::experimental::pmr::memory_resource::deallocate

From cppreference.com
< cpp‎ | experimental‎ | memory resource

void* deallocate(void* p, std::size_t bytes, std::size_t alignment = alignof(std::max_align_t)); |  | (library fundamentals TS)

Deallocates the storage pointed to by `p`. `p` shall have been returned by a prior call to `allocate(bytes, alignment)` on a `memory_resource` that compares equal to `*this`, and the storage it points to shall not yet have been deallocated.

Equivalent to return do_deallocate(p, bytes, alignment);.

### Exceptions

Throws nothing.

### See also

do_deallocate [virtual] | deallocates memory (virtual protected member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/memory_resource/deallocate&oldid=79824"